Notifications
Notifications are alerts triggered by certain events pertaining to a resource. To receive notifications for a specific resource, a user must have a subscription to the resource.
Objects
Notification
| Path | JSON Type | Format | Description |
|---|---|---|---|
id |
string |
Version 4 UUID | The notification ID |
created |
string |
ISO 8601 timestamp | The instant the notification was created at |
lastModified |
string |
ISO 8601 timestamp | The instant the notification was last modified at |
actor |
object |
Member |
The member whose action raised this notification |
type |
string |
Notification Type | The type of notification |
resolved |
bool |
Whether or not the notification has been read |
{
"id" : "05b75fb3-e415-4d07-80b4-40610bee3a8f",
"created" : "2026-02-26T16:31:10.616255",
"lastModified" : "2026-02-26T16:31:10.616255",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "21dca0bd-786f-4ae1-8c11-42765df6b736",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.408356",
"lastModified" : "2026-02-26T16:31:10.408356",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/21dca0bd-786f-4ae1-8c11-42765df6b736"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
}
Formats
Notification Type
string
| Value | Description |
|---|---|
DATASET_ACTIVITY |
Any activity on the dataset |
DATASET_ANOMOLY |
A detected anomoly in the dataset data |
DATASET_COMMENT |
A comment on the dataset |
DATASET_LIKE |
A like recorded on the dataset |
DATASET_MESSAGE |
A message about the dataset |
JOB_STARTED |
A job started for a pipeline |
JOB_ENDED |
A job ended for a pipeline |
Requests
- View all notifications
- View all notifications for a workspace
- View a notification
- Refresh notifications
- Delete a notification
See Also
View all notifications
GET
/api/notifications?all={all}&before={before}&since={since}
Returns all notifications for the authenticated user profile.
Request
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all |
No | Boolean | false |
Whether or not to return both resolved and unresolved notifications |
before |
No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since |
No | ISO 8601 timestamp | 2021-02-11T11:12 |
The instant to return any notifications created since |
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/notifications?before=2026-02-26T16%3A31%3A11.467186243&since=2021-01-01T00%3A00' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/notifications?before=2026-02-26T16%3A31%3A11.467186243&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "05b75fb3-e415-4d07-80b4-40610bee3a8f",
"created" : "2026-02-26T16:31:10.616255",
"lastModified" : "2026-02-26T16:31:10.616255",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "21dca0bd-786f-4ae1-8c11-42765df6b736",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.408356",
"lastModified" : "2026-02-26T16:31:10.408356",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/21dca0bd-786f-4ae1-8c11-42765df6b736"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
}, {
"id" : "f08f2c22-0493-4a6f-8975-8eee0951cde6",
"created" : "2026-02-26T16:31:10.516854",
"lastModified" : "2026-02-26T16:31:10.516855",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "93f35b46-b5ba-4aae-ab07-19b07fd27c9a",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.307619",
"lastModified" : "2026-02-26T16:31:10.307619",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/f08f2c22-0493-4a6f-8975-8eee0951cde6"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/f08f2c22-0493-4a6f-8975-8eee0951cde6",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/93f35b46-b5ba-4aae-ab07-19b07fd27c9a"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
}, {
"id" : "b9f34033-0d08-4a24-9617-38cae6b87297",
"created" : "2026-02-26T16:31:10.338898",
"lastModified" : "2026-02-26T16:31:10.338898",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "9a281ec6-ca31-4973-bb4c-62d8808bea83",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.204672",
"lastModified" : "2026-02-26T16:31:10.204672",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/b9f34033-0d08-4a24-9617-38cae6b87297"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/b9f34033-0d08-4a24-9617-38cae6b87297",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/9a281ec6-ca31-4973-bb4c-62d8808bea83"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?before=2026-02-26T16%3A31%3A11.467186243&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View all notifications for a workspace
GET
/api/workspaces/{workspaceId}/notifications?all={all}&before={before}&since={since}
Returns all notifications for the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist
Request
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all |
No | Boolean | Whether or not to return both resolved and unresolved notifications | |
before |
No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since |
No | ISO 8601 timestamp | 2021-02-11T11:12 |
The instant to return any notifications created since |
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3/notifications?before=2026-02-26T16%3A31%3A11.572825608&since=2021-01-01T00%3A00' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3/notifications?before=2026-02-26T16%3A31%3A11.572825608&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "05b75fb3-e415-4d07-80b4-40610bee3a8f",
"created" : "2026-02-26T16:31:10.616255",
"lastModified" : "2026-02-26T16:31:10.616255",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "21dca0bd-786f-4ae1-8c11-42765df6b736",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.408356",
"lastModified" : "2026-02-26T16:31:10.408356",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/21dca0bd-786f-4ae1-8c11-42765df6b736"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
}, {
"id" : "f08f2c22-0493-4a6f-8975-8eee0951cde6",
"created" : "2026-02-26T16:31:10.516854",
"lastModified" : "2026-02-26T16:31:10.516855",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "93f35b46-b5ba-4aae-ab07-19b07fd27c9a",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.307619",
"lastModified" : "2026-02-26T16:31:10.307619",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/f08f2c22-0493-4a6f-8975-8eee0951cde6"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/f08f2c22-0493-4a6f-8975-8eee0951cde6",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/93f35b46-b5ba-4aae-ab07-19b07fd27c9a"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
}, {
"id" : "b9f34033-0d08-4a24-9617-38cae6b87297",
"created" : "2026-02-26T16:31:10.338898",
"lastModified" : "2026-02-26T16:31:10.338898",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "9a281ec6-ca31-4973-bb4c-62d8808bea83",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.204672",
"lastModified" : "2026-02-26T16:31:10.204672",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/b9f34033-0d08-4a24-9617-38cae6b87297"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/b9f34033-0d08-4a24-9617-38cae6b87297",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/9a281ec6-ca31-4973-bb4c-62d8808bea83"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3/notifications?before=2026-02-26T16%3A31%3A11.572825608&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View a notification
GET
/api/notifications/{notification-id}
Returns the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification with HAL links.
{
"id" : "05b75fb3-e415-4d07-80b4-40610bee3a8f",
"created" : "2026-02-26T16:31:10.616255",
"lastModified" : "2026-02-26T16:31:10.616255",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "21dca0bd-786f-4ae1-8c11-42765df6b736",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:10.408356",
"lastModified" : "2026-02-26T16:31:10.408356",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/21dca0bd-786f-4ae1-8c11-42765df6b736"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
}
Refresh notifications
PUT
/api/notifications?since={since}&markAsResolved={markAsResolved}
Returns new notifications for the authenticated user profile, optionally marking existing notifications as resolved up to the moment the request was made or the supplied since parameter.
Request
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
since |
No | ISO 8601 timestamp | The instant at which the request was made | The instant to fetch any new notifications from |
markAsResolved |
No | Boolean | true |
Whether or not to mark notifications created up to since as resolved |
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/notifications?since=2026-02-26T16%3A31%3A12.893374' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/notifications?since=2026-02-26T16%3A31%3A12.893374"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "8f23e503-3a0c-4284-a4e9-174a5c976d03",
"created" : "2026-02-26T16:31:13.244833",
"lastModified" : "2026-02-26T16:31:13.244833",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "1c49c4c7-b8ef-4435-9042-cd22be9879f7",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-02-26T16:31:13.050819",
"lastModified" : "2026-02-26T16:31:13.050819",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"dataset" : {
"id" : "455ad92c-53ee-48c8-a25f-dc94cd018f48",
"published" : "2026-02-26T16:31:04.739509",
"alias" : "analytics-tables",
"workspaceId" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'xkmzopy'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-02-26T16:31:04.739508",
"score" : 1.0
},
"workspace" : {
"id" : "9e0de043-525d-4706-b9bd-168bc637b5c3",
"name" : "Test Workspace [2026-02-26T16:31:04.316891341]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/8f23e503-3a0c-4284-a4e9-174a5c976d03"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/8f23e503-3a0c-4284-a4e9-174a5c976d03",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/8741bda6-c6e8-4eca-95cc-015b36d13ba2"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/1c49c4c7-b8ef-4435-9042-cd22be9879f7"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/455ad92c-53ee-48c8-a25f-dc94cd018f48/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/9e0de043-525d-4706-b9bd-168bc637b5c3"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?since=2026-02-26T16%3A31%3A12.893374&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
Delete a notification
DELETE
/api/notifications/{notification-id}
Deletes the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f' -i -X DELETE \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/notifications/05b75fb3-e415-4d07-80b4-40610bee3a8f"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.